Subject: Re: bug#23935: 25.1.50; simple reproducible crash for emacs -Q: `M-: (+ 1997 120 400)'

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Jul 2016 20:24:27 +0300

> Date: Wed, 13 Jul 2016 09:55:49 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> >   https://www.python.org/download/releases/2.6.6/
> 
> That says:
> 
> "Python 2.6.6 has been replaced by a newer security-fix only source release of Python. Please download Python 2.6.8 instead."
> 
> This is my work computer, so I'm reluctant to pick up something
> that needed a security fix.  How about using 2.6.8?

You can try, it will most probably work OK.

Please also note these installation notes from the ezwinports site:

  If you install this anywhere but D:\usr, you will need to set 2
  environment variables:

    set GUILE_LOAD_PATH=x:\foo\share\guile\2.0
    set GUILE_LOAD_COMPILED_PATH=x:\foo\lib\guile\2.0\ccache

  where "x:\foo" is the directory from which you unzipped the GDB
  binary zip file.  These variables are required for the Guile support
  in GDB to be able to initialize itself.

  If GDB complains at startup about being unable to load Python
  modules, you may need to set the PYTHONPATH environment variable to
  point to your Python 2.6.6 installation, like this:

    set PYTHONPATH=C:\Python26;C:\Python26\Lib;C:\Python26\;C:\Python26\DLLs;C:\Python26\Lib\lib-tk;C:\Python26\Lib\site-packages

  (assuming you installed Python in C:\Python26).

> This also rang a bell, so I searched old bug reports.  I sent
> you a message on 2010/Dec/09, where I said this:
> 
> ----
> 
> > > > It's enough to type "gdb RET" at the cmd prompt.  But to 
> > > > attach to a running Emacs process, it is more convenient
> > > > to type "gdb -p PID RET",
> > > > where PID is the Emacs process ID, a number.
> 
> Hi Eli,
> 
> I tried that just now, when I got a crash dialog box. I cd'd to the dir where I have the files you sent me, then did `gdb -p 5692' (the PID).
> 
> I got a Windows error box, with title `gdb.exe - Unable to Locate Component' and with text "This application has failed to start because libexpat-1.dll was not found. Re-installing the application may fix this problem. [OK]"
> 
> In the directory where I put the files you sent (which is in my PATH), I have these files (that you sent):
> 
> .gdbinit
> gdb-python27.exe
> gdb.exe
> gdbserver.exe
> 
> ----
> 
> It seems I didn't get a reply from you.  But I do find the file
> gdb-python27.exe in the other GDB directory, for version 7.2.

The binary zip distribution of GDB 7.10 that you have includes all the
dependency DLLs, with the sole exception of Python.  So once you
install Python, I don't expect any additional problems with missing
DLLs.  (You can also download the latest GDB 7.11 from the same site.)

One more caveat: this GDB 7.10/7.11 can only debug 32-bit programs, so
you can only use it with the binaries that identify themselves as
i686-pc-mingw32, not x86_64-w64-mingw64.  If the i686-pc-mingw32 one
is stripped, i.e. without debugging symbols, we will have to arrange
fore you to download a binary with symbols.  (The .exe binary with
symbols is much larger, around 70MB.)  But first, let's see if GDB
works there.